Automations
List the latest run per automation that targeted a specific PR or issue. Used by the PR/issue page to render a pill per automation. Returns empty when no automations have run against this target.
Authorization
bearerAuth In: header
Path Parameters
Git provider, e.g. 'github'.
Repository owner login.
Repository name.
Target kind: 'pull' or 'issue'.
Value in
- "pull"
- "issue"
PR or issue number.
int64Response Body
application/json
curl -X GET "https://example.com/v1/automation-runs/by-target/abc123/abc123/abc123/issue/1""abc123"curl -X GET "https://example.com/v1/automation-templates""abc123"Authorization
bearerAuth In: header
Query Parameters
Filter to automations belonging to this account login.
Response Body
application/json
curl -X GET "https://example.com/v1/automations?account=abc123""abc123"Authorization
bearerAuth In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/automations" \ -H "Content-Type: application/json" \ -d '{ "accountKind": "org", "accountLogin": "aa", "botId": "aa", "definition": "abc123", "description": "abc123", "id": "abc123", "name": "aa", "templateId": "abc123", "triggers": [ { "eventType": "abc123", "id": "abc123", "repositoryId": "abc123", "scheduleCron": "abc123" }, { "eventType": "abc123", "id": "abc123", "repositoryId": "abc123", "scheduleCron": "abc123" } ] }'"abc123"Authorization
bearerAuth In: header
Path Parameters
Automation id.
1 <= lengthResponse Body
application/json
curl -X GET "https://example.com/v1/automations/aa""abc123"Authorization
bearerAuth In: header
Path Parameters
Automation id.
1 <= lengthResponse Body
application/json
curl -X DELETE "https://example.com/v1/automations/aa""abc123"Authorization
bearerAuth In: header
Path Parameters
Automation id.
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/v1/automations/aa" \ -H "Content-Type: application/json" \ -d '{ "botId": "aa", "definition": "abc123", "description": "abc123", "enabled": false, "name": "aa", "triggers": [ { "eventType": "abc123", "id": "abc123", "repositoryId": "abc123", "scheduleCron": "abc123" }, { "eventType": "abc123", "id": "abc123", "repositoryId": "abc123", "scheduleCron": "abc123" } ] }'"abc123"Authorization
bearerAuth In: header
Path Parameters
Automation id.
1 <= lengthQuery Parameters
Maximum runs to return. Defaults to 50.
int6450Response Body
application/json
curl -X GET "https://example.com/v1/automations/aa/runs?limit=1""abc123"